<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>echo</name>
  <program_name>echo</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_ETCHED_OUT</shadow_type>

    <widget>
      <class>GtkEventBox</class>
      <name>eventbox1_blue</name>

      <widget>
	<class>GtkVBox</class>
	<name>vbox1</name>
	<homogeneous>False</homogeneous>
	<spacing>4</spacing>

	<widget>
	  <class>GtkTable</class>
	  <name>table1</name>
	  <rows>3</rows>
	  <columns>4</columns>
	  <homogeneous>False</homogeneous>
	  <row_spacing>0</row_spacing>
	  <column_spacing>0</column_spacing>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkSpinButton</class>
	    <name>echoes_range</name>
	    <tooltip>number of echoes</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>adjustment_changed</name>
	      <handler>gdam_skin_adjustment:num_echoes</handler>
	      <last_modification_time>Sun, 17 Oct 1999 00:59:48 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_skin_defocus_on_activate</handler>
	      <last_modification_time>Thu, 13 Apr 2000 21:53:12 GMT</last_modification_time>
	    </signal>
	    <climb_rate>1</climb_rate>
	    <digits>0</digits>
	    <numeric>True</numeric>
	    <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	    <snap>False</snap>
	    <wrap>False</wrap>
	    <value>0</value>
	    <lower>0</lower>
	    <upper>100</upper>
	    <step>1</step>
	    <page>10</page>
	    <page_size>10</page_size>
	    <child>
	      <left_attach>0</left_attach>
	      <right_attach>1</right_attach>
	      <top_attach>1</top_attach>
	      <bottom_attach>2</bottom_attach>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <xexpand>True</xexpand>
	      <yexpand>False</yexpand>
	      <xshrink>False</xshrink>
	      <yshrink>False</yshrink>
	      <xfill>True</xfill>
	      <yfill>False</yfill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label1</name>
	    <label>Delay:</label>
	    <justify>GTK_JUSTIFY_LEFT</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <child>
	      <left_attach>2</left_attach>
	      <right_attach>3</right_attach>
	      <top_attach>0</top_attach>
	      <bottom_attach>1</bottom_attach>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <xexpand>False</xexpand>
	      <yexpand>False</yexpand>
	      <xshrink>False</xshrink>
	      <yshrink>False</yshrink>
	      <xfill>False</xfill>
	      <yfill>False</yfill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkSpinButton</class>
	    <name>delay_range</name>
	    <tooltip>time between echoes</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>adjustment_changed</name>
	      <handler>gdam_skin_adjustment:delay</handler>
	      <last_modification_time>Sun, 17 Oct 1999 00:59:11 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_skin_defocus_on_activate</handler>
	      <last_modification_time>Thu, 13 Apr 2000 21:53:46 GMT</last_modification_time>
	    </signal>
	    <climb_rate>1</climb_rate>
	    <digits>3</digits>
	    <numeric>True</numeric>
	    <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	    <snap>False</snap>
	    <wrap>False</wrap>
	    <value>0</value>
	    <lower>0</lower>
	    <upper>10</upper>
	    <step>0.001</step>
	    <page>0.01</page>
	    <page_size>10</page_size>
	    <child>
	      <left_attach>2</left_attach>
	      <right_attach>3</right_attach>
	      <top_attach>1</top_attach>
	      <bottom_attach>2</bottom_attach>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <xexpand>True</xexpand>
	      <yexpand>False</yexpand>
	      <xshrink>False</xshrink>
	      <yshrink>False</yshrink>
	      <xfill>True</xfill>
	      <yfill>False</yfill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button9</name>
	    <tooltip>assign midi control</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_try_or_destroy:gdam_input_button:num_echoes:0:16:Num_Echoes</handler>
	      <last_modification_time>Tue, 22 Feb 2000 15:38:12 GMT</last_modification_time>
	    </signal>
	    <label>midi</label>
	    <child>
	      <left_attach>0</left_attach>
	      <right_attach>1</right_attach>
	      <top_attach>2</top_attach>
	      <bottom_attach>3</bottom_attach>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <xexpand>False</xexpand>
	      <yexpand>False</yexpand>
	      <xshrink>False</xshrink>
	      <yshrink>False</yshrink>
	      <xfill>True</xfill>
	      <yfill>False</yfill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button12</name>
	    <tooltip>assign midi control</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_try_or_destroy:gdam_input_button:delay:0:1:Delay</handler>
	      <last_modification_time>Tue, 22 Feb 2000 15:38:12 GMT</last_modification_time>
	    </signal>
	    <label>midi</label>
	    <child>
	      <left_attach>2</left_attach>
	      <right_attach>3</right_attach>
	      <top_attach>2</top_attach>
	      <bottom_attach>3</bottom_attach>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <xexpand>False</xexpand>
	      <yexpand>False</yexpand>
	      <xshrink>False</xshrink>
	      <yshrink>False</yshrink>
	      <xfill>True</xfill>
	      <yfill>False</yfill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox3</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <left_attach>0</left_attach>
	      <right_attach>1</right_attach>
	      <top_attach>0</top_attach>
	      <bottom_attach>1</bottom_attach>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <xexpand>False</xexpand>
	      <yexpand>False</yexpand>
	      <xshrink>False</xshrink>
	      <yshrink>False</yshrink>
	      <xfill>True</xfill>
	      <yfill>True</yfill>
	    </child>

	    <widget>
	      <class>GtkToggleButton</class>
	      <name>echoes_tbutton</name>
	      <border_width>2</border_width>
	      <tooltip>enable echoes</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_skin_toggle_button:echoed</handler>
		<last_modification_time>Mon, 18 Oct 1999 15:21:00 GMT</last_modification_time>
	      </signal>
	      <label>Echo:</label>
	      <active>False</active>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button16</name>
	      <tooltip>assign midi control</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>pressed</name>
		<handler>gdam_skin_try_or_destroy:gdam_input_button:echoed:0:2:Echoed</handler>
		<last_modification_time>Sun, 05 Mar 2000 21:58:07 GMT</last_modification_time>
	      </signal>
	      <label>m</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label2</name>
	    <label>Gain:</label>
	    <justify>GTK_JUSTIFY_LEFT</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <child>
	      <left_attach>1</left_attach>
	      <right_attach>2</right_attach>
	      <top_attach>0</top_attach>
	      <bottom_attach>1</bottom_attach>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <xexpand>False</xexpand>
	      <yexpand>False</yexpand>
	      <xshrink>False</xshrink>
	      <yshrink>False</yshrink>
	      <xfill>False</xfill>
	      <yfill>False</yfill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkSpinButton</class>
	    <name>gain_range</name>
	    <tooltip>volume of first echo</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>adjustment_changed</name>
	      <handler>gdam_skin_adjustment:gain</handler>
	      <last_modification_time>Sun, 17 Oct 1999 01:46:08 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_skin_defocus_on_activate</handler>
	      <last_modification_time>Thu, 13 Apr 2000 21:53:34 GMT</last_modification_time>
	    </signal>
	    <climb_rate>0.01</climb_rate>
	    <digits>2</digits>
	    <numeric>True</numeric>
	    <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	    <snap>False</snap>
	    <wrap>False</wrap>
	    <value>1</value>
	    <lower>0</lower>
	    <upper>1</upper>
	    <step>0.01</step>
	    <page>0.1</page>
	    <page_size>10</page_size>
	    <child>
	      <left_attach>1</left_attach>
	      <right_attach>2</right_attach>
	      <top_attach>1</top_attach>
	      <bottom_attach>2</bottom_attach>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <xexpand>True</xexpand>
	      <yexpand>False</yexpand>
	      <xshrink>False</xshrink>
	      <yshrink>False</yshrink>
	      <xfill>True</xfill>
	      <yfill>False</yfill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button10</name>
	    <tooltip>assign midi control</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_try_or_destroy:gdam_input_button:gain:0:1:Gain</handler>
	      <last_modification_time>Tue, 22 Feb 2000 15:38:12 GMT</last_modification_time>
	    </signal>
	    <label>midi</label>
	    <child>
	      <left_attach>1</left_attach>
	      <right_attach>2</right_attach>
	      <top_attach>2</top_attach>
	      <bottom_attach>3</bottom_attach>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <xexpand>True</xexpand>
	      <yexpand>False</yexpand>
	      <xshrink>False</xshrink>
	      <yshrink>False</yshrink>
	      <xfill>True</xfill>
	      <yfill>False</yfill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkVBox</class>
	    <name>vbox2</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <left_attach>3</left_attach>
	      <right_attach>4</right_attach>
	      <top_attach>0</top_attach>
	      <bottom_attach>2</bottom_attach>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <xexpand>False</xexpand>
	      <yexpand>False</yexpand>
	      <xshrink>False</xshrink>
	      <yshrink>False</yshrink>
	      <xfill>True</xfill>
	      <yfill>True</yfill>
	    </child>

	    <widget>
	      <class>Custom</class>
	      <name>custom1</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>assign hardware control</tooltip>
	      <signal>
		<name>clicked</name>
		<handler>gdam_skin_make_binding_dialog</handler>
		<last_modification_time>Thu, 23 Mar 2000 03:57:25 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/hardware.xpm:default/hardware_active.xpm:default/hardware_prelight.xpm:default/hardware_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Thu, 23 Mar 2000 03:55:56 GMT</last_modification_time>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkToggleButton</class>
	      <name>button14</name>
	      <tooltip>toggle reverb</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>toggled</name>
		<handler>gdam_skin_toggle_button:reverb</handler>
		<last_modification_time>Sun, 05 Mar 2000 21:52:59 GMT</last_modification_time>
	      </signal>
	      <label>Rvb</label>
	      <active>False</active>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button15</name>
	    <tooltip>assign midi control</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_try_or_destroy:gdam_input_button:reverb:0:2:Reverb</handler>
	      <last_modification_time>Sun, 05 Mar 2000 21:54:41 GMT</last_modification_time>
	    </signal>
	    <label>m</label>
	    <child>
	      <left_attach>3</left_attach>
	      <right_attach>4</right_attach>
	      <top_attach>2</top_attach>
	      <bottom_attach>3</bottom_attach>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <xexpand>False</xexpand>
	      <yexpand>False</yexpand>
	      <xshrink>False</xshrink>
	      <yshrink>False</yshrink>
	      <xfill>True</xfill>
	      <yfill>False</yfill>
	    </child>
	  </widget>
	</widget>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox4</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label4</name>
	    <label>Decay:</label>
	    <justify>GTK_JUSTIFY_LEFT</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkHScale</class>
	    <name>decay_range</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>adjustment_changed</name>
	      <handler>gdam_skin_adjustment:decay</handler>
	      <last_modification_time>Sun, 17 Oct 1999 01:00:08 GMT</last_modification_time>
	    </signal>
	    <draw_value>True</draw_value>
	    <value_pos>GTK_POS_RIGHT</value_pos>
	    <digits>2</digits>
	    <policy>GTK_UPDATE_CONTINUOUS</policy>
	    <value>0.5</value>
	    <lower>0</lower>
	    <upper>2</upper>
	    <step>0.01</step>
	    <page>0.1</page>
	    <page_size>0.1</page_size>
	    <child>
	      <padding>2</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button11</name>
	    <tooltip>assign midi control</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_try_or_destroy:gdam_input_button:decay:0:1:Decay</handler>
	      <last_modification_time>Tue, 22 Feb 2000 15:38:12 GMT</last_modification_time>
	    </signal>
	    <label>m</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox2</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>

	  <widget>
	    <class>GtkButton</class>
	    <name>four_button</name>
	    <tooltip>set delay to 4 beats</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_echo_delay_by_beat:4</handler>
	      <last_modification_time>Mon, 18 Oct 1999 15:07:38 GMT</last_modification_time>
	    </signal>
	    <label>4</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button5</name>
	    <tooltip>set delay to 2 beats</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_echo_delay_by_beat:2</handler>
	      <last_modification_time>Sun, 17 Oct 1999 07:40:17 GMT</last_modification_time>
	    </signal>
	    <label>2</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button8</name>
	    <tooltip>set delay to 3/2 beats</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_echo_delay_by_beat:1.5</handler>
	      <last_modification_time>Sun, 20 Feb 2000 09:03:16 GMT</last_modification_time>
	    </signal>
	    <label> 3/2 </label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <tooltip>set delay to 1 beat</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_echo_delay_by_beat:1</handler>
	      <last_modification_time>Sun, 17 Oct 1999 06:53:05 GMT</last_modification_time>
	    </signal>
	    <label>1</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button7</name>
	    <tooltip>set delay to 7/8 beat</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_echo_delay_by_beat:0.88</handler>
	      <last_modification_time>Sun, 17 Oct 1999 08:02:19 GMT</last_modification_time>
	    </signal>
	    <label>7/8</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button6</name>
	    <tooltip>set delay to 1/2 beat</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_echo_delay_by_beat:0.5</handler>
	      <last_modification_time>Sun, 17 Oct 1999 07:18:58 GMT</last_modification_time>
	    </signal>
	    <label>1/2</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button2</name>
	    <tooltip>set delay to 1/4 beat</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_echo_delay_by_beat:0.25</handler>
	      <last_modification_time>Sun, 17 Oct 1999 08:03:31 GMT</last_modification_time>
	    </signal>
	    <label>1/4</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button13</name>
	    <tooltip>set delay to 1/8 beat</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_echo_delay_by_beat:0.125</handler>
	      <last_modification_time>Sat, 26 Feb 2000 22:28:42 GMT</last_modification_time>
	    </signal>
	    <label>1/8</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkSpinButton</class>
	    <name>spinbutton1</name>
	    <tooltip>minimum buffer size in beats</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>adjustment_changed</name>
	      <handler>gdam_skin_adjustment:dummy_beat</handler>
	      <last_modification_time>Sun, 06 May 2001 15:02:42 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_skin_defocus_on_activate</handler>
	      <last_modification_time>Thu, 13 Apr 2000 21:53:12 GMT</last_modification_time>
	    </signal>
	    <climb_rate>1</climb_rate>
	    <digits>0</digits>
	    <numeric>True</numeric>
	    <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	    <snap>False</snap>
	    <wrap>False</wrap>
	    <value>0</value>
	    <lower>0</lower>
	    <upper>8</upper>
	    <step>1</step>
	    <page>2</page>
	    <page_size>0</page_size>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
